TARGET   = corestuff
TARGET   = corestuff

QT      += core gui widgets dbus x11extras

VERSION  = 2.9.0

INCLUDEPATH += activities/ home/ pins/ reminders/ sessions/ tasks/ tray/

# Library section
unix:!macx: LIBS += -lcprime -lcsys

# For KGlobalAccel
INCLUDEPATH += /usr/include/KF5/KGlobalAccel/
LIBS += -lKF5GlobalAccel

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR       = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# Disable QDebug on Release build
#CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }

        HOME = $$system(echo $HOME)
        BINDIR        = $$PREFIX/bin

        target.path   = $$BINDIR

        desktop.path  = $$PREFIX/share/applications/
        desktop.files = corestuff.desktop

        icons.path    = /usr/share/icons/hicolor/scalable/apps/
        icons.files   = corestuff.svg

        background.path = $$PREFIX/share/coreapps/background/
        background.files = background/default.svg

        autostart.path  = $$HOME/.config/autostart
        autostart.files = "corestuff.desktop"

        INSTALLS     += target icons desktop background autostart
}

FORMS += \
    activities/pageactivites.ui \
    apps/pageapps.ui \
    corestuff.ui \
    home/pagehome.ui \
    pins/pagepins.ui \
    sessions/pagesessions.ui \
    sessions/sessionsavedialog.ui \
    tasks/pagetasks.ui

HEADERS += \
    activities/pageactivites.h \
    apps/pageapps.h \
    button.h \
    corestuff.h \
    powerdlg.h \
    home/pagehome.h \
    pins/pagepins.h \
    tasks/pagetasks.h \
    tasks/x11tasks.h \
    sessions/pagesessions.h \
    sessions/sessionsavedialog.h \
    slidingstackedwidget.h \
    global.h

SOURCES += \
    activities/pageactivites.cpp \
    apps/pageapps.cpp \
    button.cpp \
    corestuff.cpp \
    powerdlg.cpp \
    home/pagehome.cpp \
    main.cpp \
    tasks/pagetasks.cpp \
    tasks/x11tasks.cpp \
    pins/pagepins.cpp \
    sessions/pagesessions.cpp \
    sessions/sessionsavedialog.cpp \
    slidingstackedwidget.cpp


# LibDesQ
# =======

INCLUDEPATH += tasks/libdesq/Headers tasks/libdesq/X11/Client tasks/libdesq/X11/EventFilter tasks/libdesq/X11/Helpers tasks/libdesq/X11/Session
DEPENDPATH += tasks/libdesq/Headers tasks/libdesq/X11/Client tasks/libdesq/X11/EventFilter tasks/libdesq/X11/Helpers tasks/libdesq/X11/Session

LIBS += -lxcb -lxcb-ewmh -lxcb-icccm -lX11 -lXi -lXcomposite

# Input
HEADERS += tasks/libdesq/Headers/DesQClient.hpp
HEADERS += tasks/libdesq/Headers/DesQEventFilter.hpp
HEADERS += tasks/libdesq/Headers/DesQWMSession.hpp

SOURCES += tasks/libdesq/X11/Client/DesQClientX11.cpp
SOURCES += tasks/libdesq/X11/EventFilter/DesQEventFilterX11.cpp
SOURCES += tasks/libdesq/X11/Session/DesQWMSessionX11.cpp
SOURCES += tasks/libdesq/X11/Helpers/X11Helpers.cpp
